<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_partcorrcoef.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_partcorrcoef" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_partcorrcoef</refname>
    <refpurpose>calculates the partial correlation between X and Y after removing the influence of Z.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nan_partcorrcoef(X [,Mode]);
   nan_partcorrcoef(X,Y,Z);
   nan_partcorrcoef(X,Y,Z,[]);
   nan_partcorrcoef(X,Y,Z,'Pearson');
   nan_partcorrcoef(X,Y,Z,'Rank');
   nan_partcorrcoef(X,Y,Z,'Spearman');
   [R,p,ci1,ci2] = nan_partcorrcoef(...);
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Mode=[]:</term>
      <listitem><para> [default]</para></listitem></varlistentry>
   <varlistentry><term>Mode='Pearson' or 'parametric' :</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>Mode='Spearman' :</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>Mode='Rank' :</term>
      <listitem><para>    computes the partial correlation based on cc(x,y),cc(x,z) and cc(y,z) with the respective mode.</para></listitem></varlistentry>
   <varlistentry><term>r:</term>
      <listitem><para> is the partialcorrelation matrix</para></listitem></varlistentry>
   <varlistentry><term>r(i,j) is the partial correlation coefficient r between X(:</term>
      <listitem><para>,i) and Y(:,j)</para></listitem></varlistentry>
   <varlistentry><term>p :</term>
      <listitem><para>   gives the significance of PCC</para></listitem></varlistentry>
   <varlistentry><term>p &gt; alpha:</term>
      <listitem><para> do not reject the Null hypothesis: "R is zero".</para></listitem></varlistentry>
   <varlistentry><term>p &lt; alpha:</term>
      <listitem><para> The alternative hypothesis "R2 is larger than zero" is true with probability (1-alpha).</para></listitem></varlistentry>
   <varlistentry><term>ci1    :</term>
      <listitem><para> lower 0.95 confidence interval</para></listitem></varlistentry>
   <varlistentry><term>ci2    :</term>
      <listitem><para> upper 0.95 confidence interval</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
X, Y and Z can contain missing values encoded with NaN.
NaN's are skipped, NaN do not result in a NaN output.
(Its assumed that the occurence of NaN's is uncorrelated)
The output gives NaN, only if there are insufficient input data.
   </para>
   <para>
The partial correlation  is defined as
pcc(xy|z)=(cc(x,y)-cc(x,z)*cc(y,z))/sqrt((1-cc(x,y)')*((1-cc(x,z)')))
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_covm">nan_covm</link></member>
   <member><link linkend="nan_cov">nan_cov</link></member>
   <member><link linkend="nan_cor">nan_cor</link></member>
   <member><link linkend="nan_spearman">nan_spearman</link></member>
   <member><link linkend="nan_rankcorr">nan_rankcorr</link></member>
   <member><link linkend="nan_ranks">nan_ranks</link></member>
   <member><link linkend="nan_corrcoef">nan_corrcoef</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>on the partial correlation coefficient</para>
   <para>[1] http://www.tufts.edu/~gdallal/partial.htm</para>
   <para>[2] http://www.nag.co.uk/numeric/fl/manual/pdf/G02/g02byf.pdf</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2002,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
